function G_out = get_G_out(t)
    global T;
    global external_load;
    dt=-0;
    [x,y]=size(external_load);
    
    if isempty(t)
        G_out=0;
        size(T);
        return
    end;
    
    %for t=1:3000
    ind = find(T>t, 1, 'first');
    
    if isempty(ind) 
        G_out = 0;
    else
      if ind<x+1
        if isnan(external_load(ind-1));
          G_out = 0;
        else
          G_out = external_load(ind-1)*1000;
        end;
      else
        G_out = 0;
      end;  
    end;
    %end;
end
        